Package fr.gouv.vitam.common.storage.constants

# Enum Class ErrorMessage

java.lang.Object
java.lang.Enum<ErrorMessage>
fr.gouv.vitam.common.storage.constants.ErrorMessage

All Implemented Interfaces:
  `Serializable`, `Comparable<ErrorMessage>`, `Constable`

public enum ErrorMessage extends Enum<ErrorMessage>
Enum that describes error messages due the workspace

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALGO_IS_A_MANDATORY_PARAMETER`
  Algo name is a mandatory parameter
  `BAD_REQUEST`
  Bad Request
  `CONTAINER_ALREADY_EXIST`
  Container already exist
  `CONTAINER_FOLDER_NAMES_ARE_A_MANDATORY_PARAMETER`
  Container name and Folder name are a mandatory parameter
  `CONTAINER_NAME_IS_A_MANDATORY_PARAMETER`
  Container name is a mandatory parameter
  `CONTAINER_NOT_FOUND`
  CONTAINER Container not found FOUND
  `CONTAINER_OBJECT_NAMES_ARE_A_MANDATORY_PARAMETER`
  Container name and Object name are a mandatory parameter
  `CONTAINER_OBJECT_NAMES_SIZE_ARE_A_MANDATORY_PARAMETER`
  Container name, Object name and size are a mandatory parameter
  `FOLDER_ALREADY_EXIST`
  Folder already exist
  `FOLDER_NOT_FOUND`
  Folder not found
  `FOLDER_OR_FILE_NAME_NOT_ALLOWED`
  When zip contains file or folder with not allowed name example : (test.txt#)
  `INTERNAL_SERVER_ERROR`
  Internal Server Error
  `NOT_ACCEPTABLE_FILES`
  Not allowed to perform action
  `OBJECT_ALREADY_EXIST`
  Object already exist
  `OBJECT_NOT_FOUND`
  Object not found
  `STREAM_IS_NULL`
  Input stream is null

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  getter for attribute message
  `String`
  `toString()`
  `static ErrorMessage`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ErrorMessage[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTAINER_ALREADY_EXIST

    public static final ErrorMessage CONTAINER_ALREADY_EXIST
    Container already exist

  - ### CONTAINER_NOT_FOUND

    public static final ErrorMessage CONTAINER_NOT_FOUND
    CONTAINER Container not found FOUND

  - ### FOLDER_ALREADY_EXIST

    public static final ErrorMessage FOLDER_ALREADY_EXIST
    Folder already exist

  - ### FOLDER_NOT_FOUND

    public static final ErrorMessage FOLDER_NOT_FOUND
    Folder not found

  - ### OBJECT_ALREADY_EXIST

    public static final ErrorMessage OBJECT_ALREADY_EXIST
    Object already exist

  - ### OBJECT_NOT_FOUND

    public static final ErrorMessage OBJECT_NOT_FOUND
    Object not found

  - ### STREAM_IS_NULL

    public static final ErrorMessage STREAM_IS_NULL
    Input stream is null

  - ### CONTAINER_NAME_IS_A_MANDATORY_PARAMETER

    public static final ErrorMessage CONTAINER_NAME_IS_A_MANDATORY_PARAMETER
    Container name is a mandatory parameter

  - ### CONTAINER_FOLDER_NAMES_ARE_A_MANDATORY_PARAMETER

    public static final ErrorMessage CONTAINER_FOLDER_NAMES_ARE_A_MANDATORY_PARAMETER
    Container name and Folder name are a mandatory parameter

  - ### CONTAINER_OBJECT_NAMES_ARE_A_MANDATORY_PARAMETER

    public static final ErrorMessage CONTAINER_OBJECT_NAMES_ARE_A_MANDATORY_PARAMETER
    Container name and Object name are a mandatory parameter

  - ### CONTAINER_OBJECT_NAMES_SIZE_ARE_A_MANDATORY_PARAMETER

    public static final ErrorMessage CONTAINER_OBJECT_NAMES_SIZE_ARE_A_MANDATORY_PARAMETER
    Container name, Object name and size are a mandatory parameter

  - ### INTERNAL_SERVER_ERROR

    public static final ErrorMessage INTERNAL_SERVER_ERROR
    Internal Server Error

  - ### ALGO_IS_A_MANDATORY_PARAMETER

    public static final ErrorMessage ALGO_IS_A_MANDATORY_PARAMETER
    Algo name is a mandatory parameter

  - ### FOLDER_OR_FILE_NAME_NOT_ALLOWED

    public static final ErrorMessage FOLDER_OR_FILE_NAME_NOT_ALLOWED
    When zip contains file or folder with not allowed name example : (test.txt#)

  - ### BAD_REQUEST

    public static final ErrorMessage BAD_REQUEST
    Bad Request

  - ### NOT_ACCEPTABLE_FILES

    public static final ErrorMessage NOT_ACCEPTABLE_FILES
    Not allowed to perform action

- ## Method Details

  - ### values

    public static ErrorMessage[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ErrorMessage valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getMessage

    public String getMessage()
    getter for attribute message
    Returns:
      message

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ErrorMessage>`